| Box2D 2.3.0 A 2D Physics Engine for Games

Public Types | Public Attributes | List of all members
b2ContactFeature Struct Reference

`#include <b2Collision.h>`

## Public Types
enum | Type { e_vertex = 0, e_face = 1 }

## Public Attributes
uint8 | indexA
| Feature index on shapeA.
uint8 | indexB
| Feature index on shapeB.
uint8 | typeA
| The feature type on shapeA.
uint8 | typeB
| The feature type on shapeB.

## Detailed Description

The features that intersect to form the contact point This must be 4 bytes or less.

The documentation for this struct was generated from the following file:

- b2Collision.h